// File: win_bmp.h
// Auth: Brian Allen Vanderburg II
// Date: Sunday, January 4, 2004
// Desc: Routines to load Windows BMP images

#ifndef __WIN_BMP_H
#define __WIN_BMP_H

// Includes
#include <windows.h>


// This function will load a bitmap image
BITMAPINFOHEADER *LoadBitmapFile(char *file);

// This function will free a bitmap
void FreeBitmap(BITMAPINFOHEADER *bih);

// This function will get the color value of a pixel
// Y of 0 is the bottom line
// Returns 0 for failue (out of bounds, etc) and 1 for success
int GetPixelRGB(BITMAPINFOHEADER *bih, int x, int y, unsigned char *r, unsigned char *g, unsigned char *b);

// This function will get the grayscale color value of a pixel
// Y of 0 is the bottom line
// Returns 0 for failue (out of bounds, etc) and 1 for success
int GetPixelGray(BITMAPINFOHEADER *bih, int x, int y, unsigned char *gray);




#endif // __WIN_BMP_H